Subject: bug#38358: Subject prefix, true recipient...

From: Narcis Garcia <[email-masked]>
Date: Fri, 29 Nov 2019 13:14:38 +0100

El 28/11/19 a les 19:53, Ian Kelling ha escrit:
> 
> Narcis Garcia via GNUzilla bug reports <[email-masked]> writes:
> 
>> El 25/11/19 a les 18:36, Mark H Weaver ha escrit:
>>> Hi Narcis,
>>>
>>> Narcis Garcia <[email-masked]> wrote:
>>>> El 24/11/19 a les 19:05, Jason Self ha escrit:
>>>>> Mailman does add theList-id header, indicating
>>>>>
>>>>> List-id: GNUzilla bug reports <bug-gnuzilla.gnu.org>
>>>>>
>>>>> Which should make it possible for your mail program to do whatever one
>>>>> wants with such messages.
>>>>>
>>>>
>>>> I've tried by headers already, and it seems not possible with, for
>>>> example, Mozilla Thunderbird (custom header does not work in a filter rule).
>>>
>>> Are you certain of this?  I did a web search found a description of how
>>> to filter on custom headers for mail accounts in Thunderbird.  I tried
>>> it on a friend's instance of Thunderbird.  These are the steps I
>>> followed:
>>>
>>> * From the app menu I chose the "Message Filters" menu item, which
>>>   summoned the Message Filters window.
>>>
>>> * I clicked the "New..." button, which summoned the Filter Rules window.
>>>
>>> * I clicked the popup menu of headers to filter on, and down at the
>>>   bottom of the list I see "Customize...".  Choosing it summons the
>>>   Customize Headers window.  I typed "List-id" in the text box and
>>>   clicked "Add", and then "OK" to dismiss the Customize Headers window.
>>>
>>> * "List-id" is now an item within the popup menu of headers to filter
>>>   on.
>>>
>>> Does this work for you?
>>
>> No, it doesn't.
>> Even worse: replies like yours (not arriving me through list mailer
>> because of CC recipient) are impossible to filter with any distinction
>> about gnuzilla.
>>
>> List administrators did become crazy to attend DKIM requirements. If
>> DMARC and SPF is used, DKIM doesn't enhance mail at all and list mailers
>> can edit subjects and put footers.
>>
> 
> Not breaking dkim is the only way we can forward your message and comply
> with a strict dmarc policy, well unless you put the gnu lists mail
> server into your spf policy. If you use dmarc without dkim (and dont put
> us in your spf policy), I consider your server to be misconfigured.
> 

Anyway, many list administrators are getting new policies around DKIM,
that will drive mailing lists to death.
The new problem is about usability.